---
indicator: submit

constraints:
    - Printable

filters:
    - HTMLScrubber
    - TrimEdges

elements:
    - type: Text
      name: searchterm
      id: searchterm
      label_loc: label_searchterm
      constraints:
        - Printable

    - type: Block
      tag: div
      id: searchterm_auto_complete

    - type: Checkboxgroup
      name: status
      label_loc: label_status
      options:
        - value: 'non-smoking'
          label_loc: label_nonsmoking
          attributes:
            class: checkbox
          label_attributes:
            class: checkbox
        - value: 'mixed'
          label_loc: label_mixed
          attributes:
            class: checkbox
          label_attributes:
            class: checkbox
        - value: 'smoking'
          label_loc: label_smoking
          attributes:
            class: checkbox
          label_attributes:
            class: checkbox
      constraints:
        - AutoSet

    - type: Submit
      name: submit
      value_loc: value_submit
